Retrieve a seed
curl --request GET \
--url https://api.twinbay.ai/seeds/{seed_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twinbay.ai/seeds/{seed_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twinbay.ai/seeds/{seed_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"twin": "<string>",
"prompt": "<string>",
"status": "<string>",
"usable": true,
"created_at": "2023-11-07T05:31:56Z",
"failure": "<string>",
"twin_version": "<string>",
"size_bytes": 123,
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}seeds
Retrieve a seed
GET
/
seeds
/
{seed_id}
Retrieve a seed
Authorizations
Access tokenOrganization API key
Access token issued by WorkOS AuthKit.
Path Parameters
Response
Successful Response
The twin this seed can be loaded into.
The starting state this seed was asked for.
pending, running, ready or failed
Whether the twin's current release can still load this seed. False means the twin's storage changed since it was generated, so it has to be generated again.
Why generation failed, if it did.
The release this seed was generated against.